## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# header-only library
%global debug_package %{nil}

%global forgeurl https://github.com/brofield/simpleini
Version:        4.22
%forgemeta

Name:           simpleini
Release:        %autorelease
Summary:        Cross-platform C++ library to read and write INI-style configuration files
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

# https://github.com/brofield/simpleini/pull/74
Patch0:         0001-cmake-fix-namespace-and-include-dir-74.patch
Patch1:         0001-convert-use-libicu-by-default.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  cmake(GTest)
BuildRequires:  libicu-devel

%description
simpleini is a cross-platform library that provides a simple API to read and
write INI-style configuration files. It supports data files in ASCII, MBCS and
Unicode. It is designed explicitly to be portable to any platform and has been
tested on Windows, WinCE and Linux. Released as open-source and free using the
MIT licence.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Requires:       libicu-devel

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -DSIMPLEINI_USE_SYSTEM_GTEST=ON

%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license LICENCE.txt
%doc README.md
%{_includedir}/SimpleIni.h
%{_datadir}/cmake/SimpleIni/

%changelog
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 02 2024 topazus <topazus@outlook.com> - 4.22-5
- set packit auto-build when new commit

* Tue Apr 30 2024 Zephyr Lykos <git@mochaa.ws> - 4.22-4
- Use libicu for charset conversion by default

* Tue Apr 30 2024 Zephyr Lykos <git@mochaa.ws> - 4.22-3
- Fix CMake export target

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 30 2023 topazus <topazus@outlook.com> - 4.22-1
- initial import; rhbz#2256266
